Return every parked retry to the dispatch queue
curl --request POST \
--url https://api.pineyard.ai/campaigns/retry-queue/resume \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"campaignIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"reasons": [],
"attemptCountMin": 1,
"attemptCountMax": 1
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
campaignIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
reasons: [],
attemptCountMin: 1,
attemptCountMax: 1
})
};
fetch('https://api.pineyard.ai/campaigns/retry-queue/resume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/campaigns/retry-queue/resume"
payload = {
"campaignIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"reasons": [],
"attemptCountMin": 1,
"attemptCountMax": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"affected": 123,
"complete": true
}Retry queue
Return every parked retry to the dispatch queue
POST
/
campaigns
/
retry-queue
/
resume
Return every parked retry to the dispatch queue
curl --request POST \
--url https://api.pineyard.ai/campaigns/retry-queue/resume \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"campaignIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"reasons": [],
"attemptCountMin": 1,
"attemptCountMax": 1
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
campaignIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
reasons: [],
attemptCountMin: 1,
attemptCountMax: 1
})
};
fetch('https://api.pineyard.ai/campaigns/retry-queue/resume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/campaigns/retry-queue/resume"
payload = {
"campaignIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"reasons": [],
"attemptCountMin": 1,
"attemptCountMax": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"affected": 123,
"complete": true
}Required scope:
campaigns.editAuthorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Body
application/json
Required array length:
1 - 200 elementsMinimum array length:
1Available options:
RETRY_NO_ANSWER, RETRY_DROPPED, PROVIDER_ERROR, RECONCILED_STRANDED, NEXT_NUMBER, UNKNOWN Required range:
x >= 0Required range:
x >= 0
